Skip to main content
PUT
/
agent
/
{agentId}
Update Agent
curl --request PUT \
  --url https://api.beamstudio.ai/agent/{agentId} \
  --header 'Content-Type: application/json' \
  --header 'current-workspace-id: <current-workspace-id>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "agentConfig": {
    "restrictions": "<string>",
    "taskTemplates": [
      {
        "id": "<string>",
        "objective": "<string>",
        "description": "<string>",
        "steps": [
          {
            "step": "<string>",
            "toolId": "<string>",
            "iconSrc": "<string>",
            "iconUrl": "<string>",
            "beamTool": true,
            "gptTool": true,
            "consentRequired": true,
            "integrationId": "<string>",
            "isIntegrationRequired": true,
            "isIntegrationConnected": true,
            "integrationProvider": "<string>",
            "integrationIdentifier": "<string>",
            "toolDetail": {},
            "integrationCustomAuthParameters": {}
          }
        ],
        "default": true,
        "category": {
          "id": "<string>",
          "title": "<string>"
        },
        "lastUpdatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "tools": [
      "<string>"
    ],
    "llmTools": [
      {}
    ],
    "sop": {},
    "defaultTaskId": "<string>",
    "workspaceId": "<string>"
  },
  "vectorDbId": "<string>",
  "type": "beam-os",
  "workspaceId": "<string>",
  "agentCategoryId": "<string>",
  "themeIconUrl": "<string>",
  "personality": "<string>",
  "userAccessTokenId": "<string>",
  "agentIntroMessage": "<string>",
  "agentSetupMessage": "<string>",
  "agentSetupSessionId": "<string>",
  "skipAgentSetupSop": true,
  "isAttachmentDataPulledIn": true,
  "tools": [
    "<string>"
  ],
  "templates": [
    {
      "id": "<string>",
      "objective": "<string>",
      "description": "<string>",
      "steps": [
        {
          "step": "<string>",
          "toolId": "<string>",
          "iconSrc": "<string>",
          "iconUrl": "<string>",
          "beamTool": true,
          "gptTool": true,
          "consentRequired": true,
          "integrationId": "<string>",
          "isIntegrationRequired": true,
          "isIntegrationConnected": true,
          "integrationProvider": "<string>",
          "integrationIdentifier": "<string>",
          "toolDetail": {},
          "integrationCustomAuthParameters": {}
        }
      ],
      "default": true,
      "category": {
        "id": "<string>",
        "title": "<string>"
      },
      "lastUpdatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "preferredModel": "<string>",
  "instructions": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.beam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Headers

current-workspace-id
string
required

Path Parameters

agentId
string
required

The unique identifier of the agent to update

Body

application/json
name
string
Maximum string length: 100
description
string
Maximum string length: 500
settings
object
agentConfig
object
vectorDbId
string
type
enum<string>
Available options:
beam-os,
user-agent,
pre-configured-agent
workspaceId
string
agentCategoryId
string
themeIconUrl
string
personality
string
userAccessTokenId
string
agentIntroMessage
string
agentSetupMessage
string
agentSetupSessionId
string
skipAgentSetupSop
boolean
isAttachmentDataPulledIn
boolean
tools
string[]
templates
object[]
preferredModel
string
instructions
string

Response

200

Agent updated successfully